The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId
Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
Response
JSON object containing an array of all the associated agents with that teamId, will return an empty array if the request is successful but there are no associated agents.
True or false check to determine if custom verbosity is used in agent, higher verbosity requires agent to include more of the retrieved documents at the expense of longer answers, lower verbosity can result in shorter answers but can also ommit crucial details
IconAttachment object used to hold the attached icon used for the agent (this links to an IconAttachment object);
Show child attributes
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Agent Cloud","colors":{"primary":"#82aff0","light":"#82aff0","dark":"#82aff0"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/light.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=ea4553ac79b2428f9308000063c92535","dark":"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/dark.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=2e03d10de70d76b210de4655744bf453"},"api":{"mdx":{"server":null,"auth":{"method":"bearer","name":null}}},"navbar":{"links":[{"label":"Home Page","href":"https://www.agentcloud.dev"},{"label":"Github","href":"https://github.com/rnadigital/agentcloud"}],"primary":{"type":"button","label":"Sign Up to Cloud","href":"https://app.agentcloud.dev/register"}},"footer":{"socials":{"twitter":"https://twitter.com/agentcloud_dev","github":"https://github.com/rnadigital/agentcloud","linkedin":"https://www.linkedin.com/products/rna-digital-agent-cloud/"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rna","hasAudioNarration":false,"actualSubdomain":"rna","customDomains":["docs.agentcloud.dev"],"gitSource":{"type":"github","owner":"rnadigital","repo":"agentcloud-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e624044dd579e9b57289","collectionId":"fe8b9fe7-21ae-4bb2-afb8-d5d57394148b","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae91f4285c0c2fd2e251e79:success","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":98},{"language":"default","tag":"Reference","count":98},{"language":"default","tag":"All Objects","count":63},{"language":"default","tag":"Documentation","count":17},{"language":"default","tag":"Components","count":8},{"language":"default","tag":"Datasources","count":7},{"language":"default","tag":"Sessions","count":6},{"language":"default","tag":"Agents","count":5},{"language":"default","tag":"Models","count":5},{"language":"default","tag":"Tasks","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"apidocs/docs/agents/get--agents","slug":"/apidocs/docs/agents/get--agents","pageMetadata":{"openapi":"get /{resourceSlug}/agents.json","authMethod":"bearer","title":"Retrieve Agents","description":"Retrieve a JSON list of all agents the user has access to","href":"/apidocs/docs/agents/get--agents"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a JSON list of all agents the user has access to\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /{resourceSlug}/agents.json","authMethod":"bearer","title":"Retrieve Agents","description":"Retrieve a JSON list of all agents the user has access to","href":"/apidocs/docs/agents/get--agents"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Retrieve a JSON list of all agents the user has access to","summary":"Retrieve Agents","operationId":"agentsJson","tags":["Agents"],"parameters":["0bc5e60d-8ff6-42b6-95a7-481119f60d13"],"responses":{"200":"85596ef9-1cee-4728-8ae1-a1299a90a29d","400":"35944a86-d2e6-473a-9380-525318f4eb6d","403":"da40608a-ddae-43ae-bf49-0c9f810cdedb","500":"efbe3898-7b77-4eca-9090-1ea86e9843bd"},"method":"get","type":"path","servers":["f0ed2002-4792-4176-bf4b-01b61fc40016","7ace45df-a087-4111-b4e4-53c7e7f8d291"],"security":[],"path":"/{resourceSlug}/agents.json","baseUrlOptions":["https://app.agentcloud.dev","{custom_url}"],"title":"Retrieve Agents","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0bc5e60d-8ff6-42b6-95a7-481119f60d13":{"name":"resourceSlug","in":"path","required":true,"schema":{"description":"The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId\nMongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"},"description":"The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId"}},"responses":{"85596ef9-1cee-4728-8ae1-a1299a90a29d":{"description":"JSON object containing an array of all the associated agents with that teamId, will return an empty array if the request is successful but there are no associated agents.","content":{"agents.json":{"schema":{"type":"array","items":{"description":"An agent object used for tasks or apps","required":["_id","name","role","goal","backstory","modelId","verbose","allowDelegation"],"properties":{"_id":{"type":"string","description":"Unique Mongodb identifier for the object","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX]._id.additionalProperties","typeLabel":"string"},"isRequired":true,"uniqueKey":"items.[INDEX]._id","typeLabel":"string"},"name":{"type":"string","description":"Name of the agent","isRequired":true,"uniqueKey":"items.[INDEX].name","typeLabel":"string"},"role":{"description":"Fed into the LLM to help it provide a more detailed and correct response","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].role","typeLabel":"string"},"goal":{"description":"The goal of the agent is fed into the LLM, this allows the LLM to know it's role in the RAG pipeline","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].goal","typeLabel":"string"},"backstory":{"description":"A detailed description of what the LLM will be doing","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].backstory","typeLabel":"string"},"modelId":{"description":"The linked ObjectId of the model being used by this agent (this links to a Model object)","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX].modelId.additionalProperties","typeLabel":"string"},"isRequired":true,"uniqueKey":"items.[INDEX].modelId","typeLabel":"string"},"verbose":{"description":"True or false check to determine if custom verbosity is used in agent, higher verbosity requires agent to include more of the retrieved documents at the expense of longer answers, lower verbosity can result in shorter answers but can also ommit crucial details","type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].verbose","typeLabel":"boolean"},"allowDelegation":{"description":"True or false check to determine if the agent is allowed to delegate tasks to other agents in the context of an app","type":"boolean","isRequired":true,"uniqueKey":"items.[INDEX].allowDelegation","typeLabel":"boolean"},"orgId":{"description":"Organisation the agent is linked to (generally the org of the user that created the agent)","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX].orgId.additionalProperties","typeLabel":"string"},"uniqueKey":"items.[INDEX].orgId","typeLabel":"string"},"teamId":{"description":"Team the agent is linked to (generally the team of the user that created the agent)","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX].teamId.additionalProperties","typeLabel":"string"},"uniqueKey":"items.[INDEX].teamId","typeLabel":"string"},"functionModelId":{"description":"A secondary model used to execute function calls (this links to a Model object), set to null if unused automatically by the API","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX].functionModelId.additionalProperties","typeLabel":"string"},"uniqueKey":"items.[INDEX].functionModelId","typeLabel":"string"},"toolIds":{"description":"Array of the tools the agent can access to improve performance and abstract tool functionality from agent usage","type":"array","items":{"type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX].toolIds.items.[INDEX].additionalProperties","typeLabel":"string"},"uniqueKey":"items.[INDEX].toolIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"items.[INDEX].toolIds","typeLabel":"string[]"},"icon":{"description":"IconAttachment object used to hold the attached icon used for the agent (this links to an IconAttachment object);","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"items.[INDEX].icon.additionalProperties","typeLabel":"string"},"type":"object","uniqueKey":"items.[INDEX].icon","typeLabel":"object"}},"type":"object","uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"_id":"\u003cstring>","name":"\u003cstring>","role":"\u003cstring>","goal":"\u003cstring>","backstory":"\u003cstring>","modelId":"\u003cstring>","verbose":true,"allowDelegation":true,"orgId":"\u003cstring>","teamId":"\u003cstring>","functionModelId":"\u003cstring>","toolIds":["\u003cstring>"],"icon":{}}]}},"exampleType":"generated"}},"exampleType":"generated"},"35944a86-d2e6-473a-9380-525318f4eb6d":{"description":"Invalid toolIds, modelIds or function calling modelIds. The content will contain an error message which will detail which field is incorrect.","content":{"dynamicResponse":{"schema":{"description":"Server response","properties":{"message":{"type":"string","description":"Error message to provide more detail","uniqueKey":"message","typeLabel":"string"},"code":{"type":"integer","description":"the error code","uniqueKey":"code","typeLabel":"integer"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","code":123}}},"exampleType":"generated"}},"exampleType":"generated"},"da40608a-ddae-43ae-bf49-0c9f810cdedb":{"description":"Invalid permissions on the resourceSlug, attempting to access an agent outside the permissions of the team","content":{"dynamicResponse":{"schema":{"description":"Server response","properties":{"message":{"type":"string","description":"Error message to provide more detail","uniqueKey":"message","typeLabel":"string"},"code":{"type":"integer","description":"the error code","uniqueKey":"code","typeLabel":"integer"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","code":123}}},"exampleType":"generated"}},"exampleType":"generated"},"efbe3898-7b77-4eca-9090-1ea86e9843bd":{"description":"Internal error","content":{"dynamicResponse":{"schema":{"description":"Server response","properties":{"message":{"type":"string","description":"Error message to provide more detail","uniqueKey":"message","typeLabel":"string"},"code":{"type":"integer","description":"the error code","uniqueKey":"code","typeLabel":"integer"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","code":123}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"3c361b51-fa86-49a3-8feb-6e0c30c158cc":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}}},"servers":{"f0ed2002-4792-4176-bf4b-01b61fc40016":{"url":"https://app.agentcloud.dev","description":"Use our public api endpoints!"},"7ace45df-a087-4111-b4e4-53c7e7f8d291":{"url":"{custom_url}","description":"Test the endpoints on your own instance of Agent Cloud!","variables":{"custom_url":{"default":"https://app.agentcloud.dev"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"apidocs/openapi.json"},"subdomain":"rna","siteName":"Agent Cloud","title":"Retrieve Agents - Agent Cloud","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T01:41:59.345Z","originalFileLocation":"apidocs/docs/agents/get--agents.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve a JSON list of all agents the user has access to\">\u003cmeta data-mint-head name=\"application-name\" content=\"Agent Cloud\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve Agents - Agent Cloud\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve a JSON list of all agents the user has access to\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Agent Cloud\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rna.mintlify.site/_mintlify/api/og/v2?division=Agents\u0026amp;title=Retrieve+Agents\u0026amp;description=Retrieve+a+JSON+list+of+all+agents+the+user+has+access+to\u0026amp;theme=7c14074e48f2f45ce3c2749c\u0026amp;signature=63c66008052ef4469f099f6c375157cd0a4bdd052e4ac9ac452b269a58ffbca9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve Agents - Agent Cloud\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve a JSON list of all agents the user has access to\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rna.mintlify.site/_mintlify/api/og/v2?division=Agents\u0026amp;title=Retrieve+Agents\u0026amp;description=Retrieve+a+JSON+list+of+all+agents+the+user+has+access+to\u0026amp;theme=7c14074e48f2f45ce3c2749c\u0026amp;signature=63c66008052ef4469f099f6c375157cd0a4bdd052e4ac9ac452b269a58ffbca9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Agent Cloud\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#82aff0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/apidocs/docs/agents/get--agents.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.agentcloud.dev/#organization\",\"name\":\"Agent Cloud\",\"url\":\"https://docs.agentcloud.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/light.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=ea4553ac79b2428f9308000063c92535\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.agentcloud.dev#website\",\"name\":\"Agent Cloud\",\"url\":\"https://docs.agentcloud.dev\",\"publisher\":{\"@id\":\"https://docs.agentcloud.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents#webpage\",\"url\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents\",\"name\":\"Retrieve Agents\",\"description\":\"Retrieve a JSON list of all agents the user has access to\",\"dateModified\":\"2026-01-07T01:41:59.345Z\",\"isPartOf\":{\"@id\":\"https://docs.agentcloud.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reference\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/sessions/retrieve--session\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Agents\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agent\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve Agents\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents#apireference\",\"headline\":\"Retrieve Agents\",\"name\":\"Retrieve Agents\",\"description\":\"Retrieve a JSON list of all agents the user has access to\",\"url\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents\",\"mainEntityOfPage\":{\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/agents/get--agents#webpage\"},\"dateModified\":\"2026-01-07T01:41:59.345Z\",\"publisher\":{\"@id\":\"https://docs.agentcloud.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.agentcloud.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Agent Cloud\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Agent Cloud","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/get-started/introduction"}]},{"tab":"Integrations","href":"https://agentcloud.dev/integrations"},{"tab":"Blog","href":"https://www.agentcloud.dev/blog"},{"tab":"API Reference","groups":[{"group":"Reference","pages":[{"group":"Sessions","pages":[{"openapi":"get /{resourceSlug}/session/{sessionId}.json","title":"Retrieve Session","href":"/apidocs/docs/sessions/retrieve--session"},{"openapi":"get /{resourceSlug}/sessions.json","title":"Retrieve Sessions","href":"/apidocs/docs/sessions/retrieve--sessions"},{"openapi":"get /{resourceSlug}/session/{sessionId}/messages.json?messageId={messageId}","title":"Retrieve Messages","href":"/apidocs/docs/sessions/retrieve--messages"},{"openapi":"post /{resourceSlug}/forms/session/add","title":"Add a session","href":"/apidocs/docs/sessions/add--session"},{"openapi":"post /{resourceSlug}/forms/session/{sessionId}/cancel","title":"Cancel a session","href":"/apidocs/docs/sessions/cancel--session"},{"openapi":"delete /{resourceSlug}/forms/session/{sessionId}","title":"Delete a session","href":"/apidocs/docs/sessions/delete--session"}]},{"group":"Apps","pages":[{"openapi":"get /{resourceSlug}/app/{appId}.json","title":"Get App","href":"/apidocs/docs/apps/retrieve--app"},{"openapi":"get /{resourceSlug}/apps.json","title":"Get Apps","href":"/apidocs/docs/apps/retrieve--apps"}]},{"group":"Agents","pages":[{"openapi":"get /{resourceSlug}/agent/{agentId}.json","title":"Retrieve Agent","description":"Retrieve a JSON object of a single agent from agentId and the resourceSlug","href":"/apidocs/docs/agents/get--agent"},{"openapi":"get /{resourceSlug}/agents.json","title":"Retrieve Agents","href":"/apidocs/docs/agents/get--agents"},{"openapi":"post /{resourceSlug}/forms/agent/add","title":"Add an agent","description":"Add a new Agent","href":"/apidocs/docs/agents/add--agent"},{"openapi":"post /{resourceSlug}/forms/agent/{agentId}/edit","title":"Edit An Agent","href":"/apidocs/docs/agents/edit--agent"},{"openapi":"delete /{resourceSlug}/forms/agent/{agentId}","title":"Delete An Agent","href":"/apidocs/docs/agents/delete--agent"}]},{"group":"Tasks","pages":[{"openapi":"get /{resourceSlug}/task/{taskId}.json","title":"Retrieve Task","href":"/apidocs/docs/tasks/get--task"},{"openapi":"get /{resourceSlug}/tasks.json","title":"Retrieve Tasks","href":"/apidocs/docs/tasks/get--tasks"},{"openapi":"post /{resourceSlug}/forms/task/add","title":"Add A New Task","href":"/apidocs/docs/tasks/add--task"},{"openapi":"post /{resourceSlug}/forms/task/{taskId}/edit","title":"Edit A Task","href":"/apidocs/docs/tasks/edit--task"},{"openapi":"delete /{resourceSlug}/forms/task/{taskId}","title":"Delete A Task","href":"/apidocs/docs/tasks/delete--task"}]},{"group":"Tools","pages":[{"openapi":"get /{resourceSlug}/tool/{toolId}.json","title":"Retrieve Tool","href":"/apidocs/docs/tools/get--tool"},{"openapi":"get /{resourceSlug}/tools.json","title":"Retrieve Tools","href":"/apidocs/docs/tools/get--tools"},{"openapi":"post /{resourceSlug}/forms/tool/add","title":"Add A New Tool","href":"/apidocs/docs/tools/add--tool"},{"openapi":"post /{resourceSlug}/forms/tool/{toolId}/edit","title":"Edit A Tool","href":"/apidocs/docs/tools/edit--tool"},{"openapi":"delete /{resourceSlug}/forms/tool/{toolId}","title":"Delete A Tool","href":"/apidocs/docs/tools/delete--tool"}]},{"group":"Models","pages":[{"openapi":"get /{resourceSlug}/model/{modelid}.json","title":"Retrieve Model","href":"/apidocs/docs/models/get--model"},{"openapi":"get /{resourceSlug}/models.json","title":"Retrieve Models","href":"/apidocs/docs/models/get--models"},{"openapi":"post /{resourceSlug}/forms/model/add","title":"Add A New Model","href":"/apidocs/docs/models/add--model"},{"openapi":"post /{resourceSlug}/forms/{modelId}/edit","title":"Edit A Model","href":"/apidocs/docs/models/edit--model"},{"openapi":"delete /{resourceSlug}/forms/{modelId}","title":"Delete A Model","href":"/apidocs/docs/models/delete--model"}]},{"group":"Datasources","pages":[{"openapi":"get /{resourceSlug}/datasource/{datasourceId}.json","title":"Retrieve A Datasource","href":"/apidocs/docs/datasources/retrieve--datasource"},{"openapi":"get /{resourceSlug}/datasources.json","title":"Retrieve Datasources","href":"/apidocs/docs/datasources/retrieve--datasources"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/schedule","title":"Edit Schedule In Datasource - This is marked as Uncomplete","href":"/apidocs/docs/datasources/wip--edit--datasource--schedule"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/streams","title":"Edit Datasource Streams - This Is Marked As Unfinished","href":"/apidocs/docs/datasources/wip--edit--datasource--streams"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/sync","title":"Sync Datasource","href":"/apidocs/docs/datasources/sync--datasource"},{"openapi":"post /{resourceSlug}/forms/datasource/test","title":"Test A Datasource To Be Added","href":"/apidocs/docs/datasources/test--datasource"},{"openapi":"post /{resourceSlug}/forms/datasource/add","title":"Add A Datasource","href":"/apidocs/docs/datasources/add--datasource"}]},{"group":"All Objects","pages":[{"title":null,"href":"/apidocs/docs/schema/Account"},{"title":null,"href":"/apidocs/docs/schema/Agent"},{"title":null,"href":"/apidocs/docs/schema/Asset"},{"title":null,"href":"/apidocs/docs/schema/BaseOpenApiParameters"},{"title":null,"href":"/apidocs/docs/schema/ChatMessage"},{"title":null,"href":"/apidocs/docs/schema/Crew"},{"title":null,"href":"/apidocs/docs/schema/Datasource"},{"title":null,"href":"/apidocs/docs/schema/DatasourceConnectionSettings"},{"title":null,"href":"/apidocs/docs/schema/DatasourceRecordCount"},{"title":null,"href":"/apidocs/docs/schema/DatasourceStream"},{"title":null,"href":"/apidocs/docs/schema/DatasourceStatusColors"},{"title":null,"href":"/apidocs/docs/schema/DynamicResponse"},{"title":null,"href":"/apidocs/docs/schema/FieldDescription"},{"title":null,"href":"/apidocs/docs/schema/FieldDescriptionMap"},{"title":null,"href":"/apidocs/docs/schema/FormFieldConfig"},{"title":null,"href":"/apidocs/docs/schema/FunctionProperty"},{"title":null,"href":"/apidocs/docs/schema/IconAttachment"},{"title":null,"href":"/apidocs/docs/schema/InsertResult"},{"title":null,"href":"/apidocs/docs/schema/MetadataFieldInfo"},{"title":null,"href":"/apidocs/docs/schema/Model"},{"title":null,"href":"/apidocs/docs/schema/MultiQueryRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Notification"},{"title":null,"href":"/apidocs/docs/schema/NotificationDetails"},{"title":null,"href":"/apidocs/docs/schema/NotificationType"},{"title":null,"href":"/apidocs/docs/schema/ObjectId"},{"title":null,"href":"/apidocs/docs/schema/OAuthStrategy"},{"title":null,"href":"/apidocs/docs/schema/Oauth_Provider"},{"title":null,"href":"/apidocs/docs/schema/Org"},{"title":null,"href":"/apidocs/docs/schema/ProcessingErrorDetails"},{"title":null,"href":"/apidocs/docs/schema/Retriever"},{"title":null,"href":"/apidocs/docs/schema/RetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/SelfQueryRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Session"},{"title":null,"href":"/apidocs/docs/schema/SharingConfig"},{"title":null,"href":"/apidocs/docs/schema/SharingMode"},{"title":null,"href":"/apidocs/docs/schema/ShareLink"},{"title":null,"href":"/apidocs/docs/schema/ShareLinkType"},{"title":null,"href":"/apidocs/docs/schema/ShareLinkTypes"},{"title":null,"href":"/apidocs/docs/schema/SimilaritySearchRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/StreamConfig"},{"title":null,"href":"/apidocs/docs/schema/StreamConfigMap"},{"title":null,"href":"/apidocs/docs/schema/Stripe"},{"title":null,"href":"/apidocs/docs/schema/SyncModes"},{"title":null,"href":"/apidocs/docs/schema/SystemUpdateDetails"},{"title":null,"href":"/apidocs/docs/schema/Task"},{"title":null,"href":"/apidocs/docs/schema/Team"},{"title":null,"href":"/apidocs/docs/schema/TeamDescription"},{"title":null,"href":"/apidocs/docs/schema/TeamModelResponse"},{"title":null,"href":"/apidocs/docs/schema/tempRedirectResponse"},{"title":null,"href":"/apidocs/docs/schema/TestDatasourceJSONBody"},{"title":null,"href":"/apidocs/docs/schema/TimeWeightedRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Tool"},{"title":null,"href":"/apidocs/docs/schema/ToolRevision"},{"title":null,"href":"/apidocs/docs/schema/ToolState"},{"title":null,"href":"/apidocs/docs/schema/ToolType"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingConfig"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingStrategy"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingStrategyValues"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredPartitioningStrategy"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredPartitioningStrategyValues"},{"title":null,"href":"/apidocs/docs/schema/UserActionDetails"},{"title":null,"href":"/apidocs/docs/schema/WebhookDetails"},{"title":null,"href":"/apidocs/docs/schema/WebhookType"}]}]}]}]},"basePath":"","title":"Retrieve Agents - Agent Cloud","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}